Bug 228492 - Review Request: hunspell-nn - Nynorsk hunspell dictionaries
Review Request: hunspell-nn - Nynorsk hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-13 06:50 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 09:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2007-02-13 06:50:07 EST
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-nn.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-nn-0.20050112-1.src.rpm
Description: Nynorsk hunspell dictionaries


Similar to 227811
Comment 1 manuel wolfshant 2007-02-14 03:59:31 EST
Minor: upstreamid does not seem correct, web site says
nn_NO.zip                08-May-2006
Original upstream URL seems to be http://spell-norwegian.alioth.debian.org/

GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
84b4a34ae81517d08bfa69b19f1372240c0a021c  nn_NO.zip
(see also comment #1 below)
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that it includes only 3 text files)
- the license ( GPL ) stated in the tag is the same as the web site and the
included doc say; it is not included in the package because upstream did not
include it either
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
as usual, please ask upstream to include the license file in the archive

COMMENT: upstream seems to offer a newer version
(http://alioth.debian.org/frs/download.php/1600/no_NO-pack-2.0.8.zip, 30 may
2006) but it contains exactly the same files as those submitted by Caolan
Comment 2 Caolan McNamara 2007-02-14 05:39:11 EST
wiki updated to correct timestamp, .src.rpm updated
Comment 3 Caolan McNamara 2007-02-15 09:34:45 EST
 27640 (hunspell-nn): Build on target fedora-development-extras succeeded.

Note You need to log in before you can comment on or make changes to this bug.